# -*- coding: utf-8 -*-
from __future__ import annotations

from django import forms
from django.core import validators
from django.utils.translation import gettext_lazy as _

from .base import Form


class CreateForm(Form):
    url = forms.CharField(
        label=_('URL'),
        required=True,
        validators=[
            validators.URLValidator(schemes=['http', 'https']),
        ],
    )

    def get_layout_fields(self) -> list[str]:
        return ['url']
